=== debian/changelog ===
open-adventure (1.4+git20170917.0.d512384-2) unstable; urgency=medium

  * Fix FTBFS in Ubuntu.
    The package fails to build in Ubuntu, because the Ubuntu
    autobuilders run with a $TERM value of 'unknown', and the
    open-adventure testsuite doesn't like this. Setting $TERM
    to a known-good value makes the package build more portable.
    Thanks to Steve Langasek <steve.langasek@canonical.com> (Closes: #889519)
  * Switch Vcs-URLs to salsa.d.o
  * Use debhelper v11
  * Update d/copyright
  * Update Standards-Version to 4.1.3, no changes needed
  * Add $(CFLAGS) to package building

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 04 Feb 2018 12:05:18 +0100

open-adventure (1.4+git20170917.0.d512384-1) unstable; urgency=medium

  * New upstream version 1.4+git20170917.0.d512384
    - Fix FTBFS on architectures other than amd64/arm64. Closes: #874205
  * Update Standards-Version to 4.1.1, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 30 Sep 2017 09:10:38 +0200

open-adventure (1.4-1) unstable; urgency=medium

  * New upstream version 1.4
    - Remove advent.desktop and advent.svg, have been included upstream
    - Install .desktop and .svg from upstream
    - Overriding dh_install is no longer necessary
    - Add patch to build package with Python 3
  * Use real homepage, not gitlab
  * Update d/watch to recognize new tarballs
  * Update Standards-Version to 4.1.0

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 03 Sep 2017 20:32:04 +0200

open-adventure (1.2-1) unstable; urgency=medium

  * Initial release (Closes: #868163)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 13 Jul 2017 14:23:19 +0200
