=== debian/control ===
Source: open-adventure
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Dr. Tobias Quathamer <toddy@debian.org>
Build-Depends: debhelper (>= 11), pkg-config, python3-yaml, libedit-dev,
# The following packages are needed to build the manpage advent.6
 asciidoc-base, xsltproc, docbook-xml, docbook-xsl
Standards-Version: 4.1.3
Homepage: http://www.catb.org/~esr/open-adventure/
Vcs-Git: https://salsa.debian.org/games-team/open-adventure.git
Vcs-Browser: https://salsa.debian.org/games-team/open-adventure

Package: open-adventure
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: colossal cave adventure, the 1995 430-point version
 This is the last descendent of the original 1976 Colossal Cave
 Adventure worked on by the original authors -- Crowther & Woods.
 It has sometimes been known as Adventure 2.5. The original PDP-10
 name 'advent' is used for the built program to avoid collision with
 the BSD Games version.
