=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(\d\S+)\/archive\.tar\.gz/open-adventure-$1\.tar\.gz/g \
  https://gitlab.com/esr/open-adventure/tags .*/repository/(\d\S+)/archive\.tar\.gz
