## open-adventure 1.8

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,12 @@
 CCFLAGS+=-std=c99 -D_DEFAULT_SOURCE -DVERSION=\"$(VERS)\" -O2 -D_FORTIFY_SOURCE=2 -fstack-protector-all
 LIBS=$(shell pkg-config --libs libedit)
 INC+=$(shell pkg-config --cflags libedit)
+
+# LLVM/Clang on macOS seems to need -ledit flag for linking
+UNAME_S := $(shell uname -s)
+ifeq ($(UNAME_S),Darwin)
+    LIBS += -ledit
+endif
 
 OBJS=main.o init.o actions.o score.o misc.o saveresume.o
 CHEAT_OBJS=cheat.o init.o actions.o score.o misc.o saveresume.o
@@ -39,7 +45,7 @@
 dungeon.o:	dungeon.c dungeon.h
 	$(CC) $(CCFLAGS) $(DBX) -c dungeon.c
 
-dungeon.c dungeon.h: make_dungeon.py adventure.yaml templates/*.tpl
+dungeon.c dungeon.h: make_dungeon.py adventure.yaml advent.h templates/*.tpl
 	./make_dungeon.py
 
 clean:
@@ -105,6 +111,8 @@
 linty: CCFLAGS += -Wmissing-prototypes
 linty: CCFLAGS += -Wmissing-declarations
 linty: CCFLAGS += -Wshadow
+linty: CCFLAGS += -Wnull-dereference
+linty: CCFLAGS += -Wjump-misses-init
 linty: CCFLAGS += -Wfloat-equal
 linty: CCFLAGS += -Wcast-align
 linty: CCFLAGS += -Wwrite-strings
