=== debian/changelog ===
open-adventure (1.8-1) unstable; urgency=medium

  * New upstream version 1.8
    - Refresh patches
  * Update d/watch for new download location
  * Switch to debhelper-compat and use v12
  * Update d/copyright
  * Update Standards-Version to 4.4.0, no changes needed
  * Apply fixes from cme fix dpkg

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 29 Aug 2019 12:00:34 +0200
