=== debian/rules ===
#!/usr/bin/make -f

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# The package fails to build in Ubuntu, because the Ubuntu
# autobuilders run with a $TERM value of 'unknown', and the
# open-adventure testsuite doesn't like this. Setting $TERM
# to a known-good value makes the package build more portable.
# See https://bugs.debian.org/889519
export TERM=xterm

%:
	dh $@

override_dh_installman:
	make advent.6
	dh_installman
