## open-adventure 1.9

=== debian/changelog ===
open-adventure (1.9-1) unstable; urgency=medium

  * New upstream version 1.9
    - Remove patch which has been appled upstream
  * Remove unneeded --as-needed flag :-)
  * Add Rules-Requires-Root: no to d/rules
  * Update Standards-Version to 4.5.1, no changes needed
  * Use debhelper v13

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 09 Dec 2020 13:22:04 +0100
