=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Dr. Tobias Quathamer <toddy@debian.org>
 Section: games
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libedit-dev,
                pkg-config,
                python3-yaml,
@@ -12,7 +12,8 @@
                docbook-xml,
                docbook-xsl,
                xsltproc
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/games-team/open-adventure
 Vcs-Git: https://salsa.debian.org/games-team/open-adventure.git
 Homepage: http://www.catb.org/~esr/open-adventure/
