## open-adventure 1.11

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 .PHONY: check coverage
 
 CC?=gcc
-CCFLAGS+=-std=c99 -D_DEFAULT_SOURCE -DVERSION=\"$(VERS)\" -O2 -D_FORTIFY_SOURCE=2 -fstack-protector-all
+CCFLAGS+=-std=c99 -D_DEFAULT_SOURCE -DVERSION=\"$(VERS)\" -O2 -D_FORTIFY_SOURCE=2 -fstack-protector-all $(CFLAGS) -g
 LIBS=$(shell pkg-config --libs libedit)
 INC+=$(shell pkg-config --cflags libedit)
 
@@ -64,6 +64,9 @@
 check: advent cheat
 	cd tests; $(MAKE) --quiet
 
+# After this, run your browser on coverage/open-adventure/index.html
+# to see coverage results. Browse coverage/adventure.yaml.html
+# to see symbol coverage over the YAML file.
 coverage: debug
 	cd tests; $(MAKE) coverage --quiet
 
@@ -133,6 +136,10 @@
 debug: CCFLAGS += -fsanitize=undefined
 debug: linty
 
-CSUPPRESSIONS = --suppress=missingIncludeSystem --suppress=invalidscanf
+PYSUPPRESSIONS = --suppress=missingIncludeSystem --suppress=invalidscanf
 cppcheck:
 	cppcheck -I. --template gcc --enable=all $(CSUPPRESSIONS) *.[ch]
+
+PYSUPPRESSIONS = line-too-long,invalid-name,missing-function-docstring,too-many-lines,too-many-branches,global-statement,multiple-imports,too-many-locals,too-many-statements,too-many-nested-blocks,no-else-return,raise-missing-from,redefined-outer-name,consider-using-in
+pylint:
+	@pylint --score=n --disable=$(PYSUPPRESSIONS) *.py */*.py
