=== debian/changelog ===
open-adventure (1.11-1) unstable; urgency=medium

  * New upstream version 1.11
    - Uses yaml.safe_load() in tests. Closes: #1022032
    - Remove patch, has been applied upstream
  * Update d/copyright
  * Update Standards-Version to 4.6.1, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 22 Oct 2022 17:18:25 +0200
