=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                docbook-xml,
                docbook-xsl,
                xsltproc
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/games-team/open-adventure
 Vcs-Git: https://salsa.debian.org/games-team/open-adventure.git
