## open-adventure 1.12

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for the open-source release of adventure 2.5
 
-# To build with save/resume disabled, pass CCFLAGS="-D ADVENT_NOSAVE"
+# To build with save/resume disabled, pass CFLAGS="-DADVENT_NOSAVE"
 
 VERS=$(shell sed -n <NEWS '/^[0-9]/s/:.*//p' | head -1)
 
@@ -83,7 +83,7 @@
 html: advent.html history.html hints.html
 
 # README.adoc exists because that filename is magic on GitLab.
-DOCS=COPYING NEWS README.adoc TODO advent.adoc history.adoc notes.adoc hints.adoc advent.6 INSTALL.adoc
+DOCS=COPYING NEWS README.adoc advent.adoc history.adoc notes.adoc hints.adoc advent.6 INSTALL.adoc
 TESTFILES=tests/*.log tests/*.chk tests/README tests/decheck tests/Makefile
 
 # Can't use GNU tar's --transform, needs to build under Alpine Linux.
@@ -136,10 +136,10 @@
 debug: CCFLAGS += -fsanitize=undefined
 debug: linty
 
-PYSUPPRESSIONS = --suppress=missingIncludeSystem --suppress=invalidscanf
+CSUPPRESSIONS = --suppress=missingIncludeSystem --suppress=invalidscanf
 cppcheck:
 	cppcheck -I. --template gcc --enable=all $(CSUPPRESSIONS) *.[ch]
 
-PYSUPPRESSIONS = line-too-long,invalid-name,missing-function-docstring,too-many-lines,too-many-branches,global-statement,multiple-imports,too-many-locals,too-many-statements,too-many-nested-blocks,no-else-return,raise-missing-from,redefined-outer-name,consider-using-in
+PYSUPPRESSIONS = line-too-long,invalid-name,missing-function-docstring,too-many-lines,too-many-branches,global-statement,multiple-imports,too-many-locals,too-many-statements,too-many-nested-blocks,no-else-return,raise-missing-from,redefined-outer-name,consider-using-in,dict-iter-missing-items
 pylint:
 	@pylint --score=n --disable=$(PYSUPPRESSIONS) *.py */*.py
