=== debian/changelog ===
open-adventure (1.12-1) unstable; urgency=medium

  * New upstream version 1.12
    - TODOs have all been done, so don't try to install that file.
  * Update Standards-Version to 4.6.2, no changes needed
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 28 Feb 2023 13:18:46 +0100
