=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,6 @@
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
-# package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 # The package fails to build in Ubuntu, because the Ubuntu
 # autobuilders run with a $TERM value of 'unknown', and the
