=== debian/watch ===
version=4
https://gitlab.com/esr/open-adventure/tags .*/archive/(\d\S+)/.*\.tar\.gz
