## open-adventure 1.18

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,18 @@
 # Makefile for the open-source release of adventure 2.5
 
+# SPDX-FileCopyrightText: (C) Eric S. Raymond <esr@thyrsus.com>
+# SPDX-License-Identifier: BSD-2-Clause
+
 # To build with save/resume disabled, pass CFLAGS="-DADVENT_NOSAVE"
+# To build with auto-save/resume enabled, pass CFLAGS="-DADVENT_AUTOSAVE"
 
-VERS=$(shell sed -n <NEWS '/^[0-9]/s/:.*//p' | head -1)
+VERS=$(shell sed -n <NEWS.adoc '/^[0-9]/s/:.*//p' | head -1)
 
 .PHONY: debug indent release refresh dist linty html clean
 .PHONY: check coverage
 
 CC?=gcc
-CCFLAGS+=-std=c99 -D_DEFAULT_SOURCE -DVERSION=\"$(VERS)\" -O2 -D_FORTIFY_SOURCE=2 -fstack-protector-all $(CFLAGS) -g
+CCFLAGS+=-std=c99 -D_DEFAULT_SOURCE -DVERSION=\"$(VERS)\" -O2 -D_FORTIFY_SOURCE=2 -fstack-protector-all $(CFLAGS) -g $(EXTRA)
 LIBS=$(shell pkg-config --libs libedit)
 INC+=$(shell pkg-config --cflags libedit)
 
@@ -61,29 +65,43 @@
 cheat: $(CHEAT_OBJS) dungeon.o
 	$(CC) $(CCFLAGS) $(DBX) -o cheat $(CHEAT_OBJS) dungeon.o $(LDFLAGS) $(LIBS)
 
-check: advent cheat
+CSUPPRESSIONS = --suppress=missingIncludeSystem --suppress=invalidscanf
+cppcheck:
+	@-cppcheck -I. --quiet --template gcc -UPROP_SET_SEEN --enable=all $(CSUPPRESSIONS) *.[ch]
+
+pylint:
+	@-pylint --score=n *.py */*.py
+
+check: advent cheat pylint cppcheck
 	cd tests; $(MAKE) --quiet
 
+reflow:
+	@clang-format --style="{IndentWidth: 8, UseTab: ForIndentation}" -i $$(find . -name "*.[ch]")
+	@black --quiet *.py
+
+# Requires gcov, lcov, libasan6, and libubsan1
+# The last two are Ubuntu names, might vary on other distributions.
 # After this, run your browser on coverage/open-adventure/index.html
 # to see coverage results. Browse coverage/adventure.yaml.html
 # to see symbol coverage over the YAML file.
-coverage: debug
+coverage: clean debug
 	cd tests; $(MAKE) coverage --quiet
 
-.SUFFIXES: .adoc .html .6
+# Note: to suppress the footers with timestamps being generated in HTML,
+# we use "-a nofooter".
+# To debug asciidoc problems, you may need to run "xmllint --nonet --noout --valid"
+# on the intermediate XML that throws an error.
+.SUFFIXES: .html .adoc .6
 
-# Requires asciidoc and xsltproc/docbook stylesheets.
 .adoc.6:
-	a2x --doctype manpage --format manpage $<
+	asciidoctor -D. -a nofooter -b manpage $<
 .adoc.html:
-	asciidoc $<
-.adoc:
-	asciidoc $<
+	asciidoctor -D. -a nofooter -a webfonts! $<
 
 html: advent.html history.html hints.html
 
 # README.adoc exists because that filename is magic on GitLab.
-DOCS=COPYING NEWS README.adoc advent.adoc history.adoc notes.adoc hints.adoc advent.6 INSTALL.adoc
+DOCS=COPYING NEWS.adoc README.adoc advent.adoc history.adoc notes.adoc hints.adoc advent.6 INSTALL.adoc
 TESTFILES=tests/*.log tests/*.chk tests/README tests/decheck tests/Makefile
 
 # Can't use GNU tar's --transform, needs to build under Alpine Linux.
@@ -93,9 +111,6 @@
 	@(ln -s . advent-$(VERS))
 	(tar -T MANIFEST -czvf advent-$(VERS).tar.gz)
 	@(rm advent-$(VERS))
-
-indent:
-	astyle -n -A3 --pad-header --min-conditional-indent=1 --pad-oper *.c
 
 release: advent-$(VERS).tar.gz advent.html history.html hints.html notes.html
 	shipper version=$(VERS) | sh -e -x
@@ -128,6 +143,11 @@
 linty: CCFLAGS += -Wpointer-arith
 linty: advent cheat
 
+# These seem to be more modern options for enabling coverage testing.
+# Documenting them here in case a future version bump disables --coverage.
+#debug: CCFLAGS += -ftest-coverage
+#debug: CCFLAGS += -fprofile-arcs
+
 debug: CCFLAGS += -O0
 debug: CCFLAGS += --coverage
 debug: CCFLAGS += -ggdb
@@ -136,10 +156,3 @@
 debug: CCFLAGS += -fsanitize=undefined
 debug: linty
 
-CSUPPRESSIONS = --suppress=missingIncludeSystem --suppress=invalidscanf
-cppcheck:
-	cppcheck -I. --template gcc --enable=all $(CSUPPRESSIONS) *.[ch]
-
-PYSUPPRESSIONS = line-too-long,invalid-name,missing-function-docstring,too-many-lines,too-many-branches,global-statement,multiple-imports,too-many-locals,too-many-statements,too-many-nested-blocks,no-else-return,raise-missing-from,redefined-outer-name,consider-using-in,dict-iter-missing-items
-pylint:
-	@pylint --score=n --disable=$(PYSUPPRESSIONS) *.py */*.py
