=== debian/changelog ===
open-adventure (1.18-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
    Changes-By: lintian-brush
    Fixes: lintian: upstream-metadata-file-is-missing
    See-also: https://lintian.debian.org/tags/upstream-metadata-file-is-missing.html
    Fixes: lintian: upstream-metadata-missing-bug-tracking
    See-also: https://lintian.debian.org/tags/upstream-metadata-missing-bug-tracking.html
  * Update standards version to 4.6.2, no changes needed.
    Changes-By: lintian-brush
    Fixes: lintian: out-of-date-standards-version
    See-also: https://lintian.debian.org/tags/out-of-date-standards-version.html

  [ Dr. Tobias Quathamer ]
  * New upstream version 1.18. Closes: #1071865
  * Rename development branch to debian/latest
  * Update d/watch for new GitLab tag order
  * Update d/copyright
  * Update Standards-Version to 4.7.0, no changes needed
  * Install NEWS.adoc after filename change
  * Use wrap-and-sort -a
  * Clean up Build-Depends

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 26 May 2024 16:28:49 +0200
