=== debian/control ===
Source: open-adventure
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Dr. Tobias Quathamer <toddy@debian.org>
Section: games
Priority: optional
Build-Depends:
               debhelper-compat (= 13),
               libedit-dev,
               pkg-config,
               python3-yaml,
# The following package is needed to build the manpage advent.6
               asciidoctor
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/games-team/open-adventure
Vcs-Git: https://salsa.debian.org/games-team/open-adventure.git
Homepage: http://www.catb.org/~esr/open-adventure/

Package: open-adventure
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: colossal cave adventure, the 1995 430-point version
 This is the last descendent of the original 1976 Colossal Cave
 Adventure worked on by the original authors -- Crowther & Woods.
 It has sometimes been known as Adventure 2.5. The original PDP-10
 name 'advent' is used for the built program to avoid collision with
 the BSD Games version.
