=== debian/changelog ===
open-adventure (1.20-1) unstable; urgency=medium

  * New upstream version 1.20
  * Build-Depend on pkgconf instead of pkg-config

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 06 Dec 2024 17:17:13 +0100
