=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
                debhelper-compat (= 13),
                libedit-dev,
-               pkg-config,
+               pkgconf,
                python3-yaml,
 # The following package is needed to build the manpage advent.6
                asciidoctor
